%define debug_package %{nil}
%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	py_setup	setup.py

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

Summary:	Python package for ElasticSearch
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		elasticsearch
Version:	7.17.3
Release:	1%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}7-%{version}.tar.gz
URL:		https://pypi.org/project/elasticsearch7/

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.

It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

%if 0%{?with_python2}
%package -n python2-%{name}
Obsoletes: python-%{name}
Provides: python-%{name} = %{version}
Summary: Python client for Elasticsearch
BuildRequires:	python2 
%if 0%{?centos}
Requires: python-urllib3
%else
Requires: python2-urllib3
%endif

%description -n python2-%{name}
Python client for Elasticsearch.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: Python client for Elasticsearch
Requires:	python%{python3_pkgversion}-urllib3
Provides:	python%{python3_pkgversion}-%{name}7 = %{version}
Provides:	python%{python3_pkgversion}-%{name}  = %{version}

BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
Python client for Elasticsearch.
%endif

%prep
%autosetup -n %{name}7-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
cd %{buildroot}%{python3_sitelib}/
mv %{name}7 %{name}
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%if 0%{?with_python2}
%files -n python2-%{name}
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info
%endif

%changelog
* Tue Apr 26 2022 Lawrence R. Rogers <lrr@cert.org> 7.17.3-1
* Release 7.17.3-1
	Version 7.17.3

* Thu Mar 31 2022 Lawrence R. Rogers <lrr@cert.org> 7.17.2-1
* Release 7.17.2-1
	Version 7.17.2

* Tue Feb  1 2022 Lawrence R. Rogers <lrr@cert.org> 7.17.0-1
* Release 7.17.0-1
	Version 7.17.0

* Thu Jan 13 2022 Lawrence R. Rogers <lrr@cert.org> 7.16.3-1
* Release 7.16.3-1
	Version 7.16.3

* Mon Dec 27 2021 Lawrence R. Rogers <lrr@cert.org> 7.16.2-1
* Release 7.16.2-1
	Version 7.16.2

* Mon Dec 13 2021 Lawrence R. Rogers <lrr@cert.org> 7.16.1-1
* Release 7.16.1-1
	Version 7.16.1

* Tue Dec  7 2021 Lawrence R. Rogers <lrr@cert.org> 7.16.0-1
* Release 7.16.0-1
	Version 7.16.0

* Wed Nov 10 2021 Lawrence R. Rogers <lrr@cert.org> 7.15.2-1
* Release 7.15.2-1
	Version 7.15.2

* Thu Oct 14 2021 Lawrence R. Rogers <lrr@cert.org> 7.15.1-1
* Release 7.15.1-1
	Version 7.15.1

* Wed Sep 22 2021 Lawrence R. Rogers <lrr@cert.org> 7.15.0-1
* Release 7.15.0-1
	Version 7.15.0

* Wed Sep  1 2021 Lawrence R. Rogers <lrr@cert.org> 7.14.1-1
* Release 7.14.1-1
	Version 7.14.1

* Tue Aug  3 2021 Lawrence R. Rogers <lrr@cert.org> 7.14.0-1
* Release 7.14.0-1
	Version 7.14.0

* Wed Jul 21 2021 Lawrence R. Rogers <lrr@cert.org> 7.13.4-1
* Release 7.13.4-1
	Version 7.13.4

* Wed Jul  7 2021 Lawrence R. Rogers <lrr@cert.org> 7.13.3-1
* Release 7.13.3-1
	Version 7.13.3

* Wed Jun  2 2021 Lawrence R. Rogers <lrr@cert.org> 7.13.1-1
* Release 7.13.1-1
	Version 7.13.1

* Wed Feb 10 2021 Lawrence R. Rogers <lrr@cert.org> 7.11.0-1
* Release 7.11.0-1
	Version 7.11.0

* Wed Dec  9 2020 Lawrence R. Rogers <lrr@cert.org> 7.10.1-1
* Release 7.10.1-1
	Version 7.10.1

* Wed Nov 11 2020 Lawrence R. Rogers <lrr@cert.org> 7.10.0-1
* Release 7.10.0-1
	Version 7.10.0

* Thu Aug 20 2020 Lawrence R. Rogers <lrr@cert.org> 7.9.1-1
* Release 7.9.1-1
	Version 7.9.1

* Tue Aug 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.9.0-1
* Release 7.9.0-1
	Version 7.9.0

* Thu Jul 30 2020 Lawrence R. Rogers <lrr@cert.org> 7.8.1-1
* Release 7.8.1-1
	Version 7.8.1

* Thu Jun 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.8.0-1
* Release 7.8.0-1
	Version 7.8.0

* Tue May 26 2020 Lawrence R. Rogers <lrr@cert.org> 7.7.1-1
* Release 7.7.1-1
	Version 7.7.1

* Thu Mar 19 2020 Lawrence R. Rogers <lrr@cert.org> 7.6.0-1
* Release 7.6.0-1
	Version 7.6.0

* Sat Jan 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.5.1-1
* Release 7.5.1-1
	Version 7.5.1

* Thu Nov 14 2019 Lawrence R. Rogers <lrr@cert.org> 7.1.0-1
* Release 7.1.0-1
	Version 7.1.0

* Tue Oct  1 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.5-1
* Release 7.0.5-1
	Version 7.0.5.

* Thu Aug 22 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.4-1
* Release 7.0.4-1
	Version 7.0.4.

* Wed Aug 21 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.3-1
* Release 7.0.3-1
	Version 7.0.3.

* Tue May 28 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.2-1
* Release 7.0.2-1
	Version 7.0.2.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 6.3.1-3
* Release 6.3.1-3
	Version 6.3.1-3: Uses python3_pkgversion for the current version of Python 3.

* Mon Feb  4 2019 Lawrence R. Rogers <lrr@cert.org> 6.3.1-2
* Release 6.3.1-2
	Version 6.3.1
	Added Python 3 version. Renamed python to python2.


* Fri Jan 27 2017 Lawrence R. Rogers <lrr@cert.org> 6.3.1-1
* Release 6.3.1
	Version 6.3.1.
